Bug 48712 - Initial Print Preview shows more than content area importing Excel .xls with row 3 merged
Summary: Initial Print Preview shows more than content area importing Excel .xls with ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Print-Preview
  Show dependency treegraph
 
Reported: 2012-04-14 18:15 UTC by Christopher M. Penalver
Modified: 2021-11-14 04:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2012-04-14 18:15:45 UTC
Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101

1) lsb_release -rd
Description:	Ubuntu precise (development branch)
Release:	12.04

2) apt-cache policy libreoffice-calc
libreoffice-calc:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Calc via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610867/+files/WW%20stan%20na%2021.11.2011%20%282%29.xls -O testcase.xls && localc -nologo testcase.xls

File -> Print Preview is it looks like the Excel screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610889/+files/Excel.jpg .

4) What happens instead is it looks different in LO screenshot https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/897101/+attachment/2610890/+files/Libreoffice.png .

WORKAROUND: Highlight Q340 through A1 -> File -> Print -> click radio button "Selected cells".
Comment 1 Buovjaga 2014-10-31 10:00:02 UTC
I confirm.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 56019dcb79475606952a954fe732a3109441ffec
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-30_07:27:11
Comment 2 QA Administrators 2015-12-20 16:15:35 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:49:16 UTC Comment hidden (obsolete)
Comment 4 Timur 2019-11-14 07:37:26 UTC
Stil in LO 6.4 I see all content on a single page in Preview. Also in LO 3.3. Windows. Could be inherited from OO 3.3.
Excel printout is from A1 to R340. So it's 4 pages.
Calc printout is up to column IV so all is a single page. 
Reason is row 3 that's all merged up to the end in IV.
Comment 5 QA Administrators 2021-11-14 04:00:35 UTC
Dear Christopher M. Penalver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug